Bug 458944 - Coredumping in ask_password_reply
Coredumping in ask_password_reply
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-08-13 08:09 EDT by Zdenek Kabelac
Modified: 2015-03-03 17:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 15:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-08-13 08:09:41 EDT
Description of problem:

Recently my coredump directory started to contain lots of gvfs cores.

#0  0x00007f883914b16c in ask_password_reply (op=0x6363f0, result=<value optimized out>, 
    data=<value optimized out>) at gmountoperationdbus.c:183
#1  0x0000000000000001 in ?? ()
#2  0x000000000061fac0 in ?? ()
#3  0x00007f883eff805d in g_main_context_iterate (context=0x3, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2705
#4  0x00007f883eff858d in IA__g_main_loop_run (loop=0x630400) at gmain.c:2928
#5  0x000000000040ab70 in daemon_main (argc=4, argv=<value optimized out>, max_job_threads=10, 
    default_type=0x41948e "trash", mountable_name=0x0, first_type_name=<value optimized out>)
    at daemon-main.c:270
#6  0x000000000040adce in main (argc=4, argv=0x7fff485e9948) at daemon-main-generic.c:39

---

#0  0x00007f2d99fa7e43 in g_mount_spec_from_dbus (iter=0x63fda0) at gmountspec.c:263
#1  0x0000000000000000 in ?? ()

---
Version-Release number of selected component (if applicable):
gvfs-0.99.4-1.fc10.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2008-08-23 21:14:55 EDT
Any hints on how to trigger this ?
Comment 2 Zdenek Kabelac 2008-08-25 05:02:59 EDT
Unfortunately I usually discover this coredump file after some time in my coredump directory - I do not even know what is process  /usr/libexec/gvfsd-trash  good for :) - how do I know it's not working so I could better notice what I've been doing during the crash ?

Hmm I could probably write a script to detect coredump and notify myself, when this happens...
Comment 3 Matthias Clasen 2008-10-01 17:08:09 EDT
We've recently fixed some tricky crashes in the trash daemon, so this may be fixed. Let me know if you are still seeing this in current rawhide.
Comment 4 Ray Strode [halfline] 2008-10-13 15:24:06 EDT
I'm going to go ahead and close this bug out.  If another core file shows up, please reopen.

Note You need to log in before you can comment on or make changes to this bug.